extends ../../views/layout

block stylesheetlinks
  link(rel='stylesheet',type="text/css", href='/stylesheets/jeasyui/easyui.css')
  link(rel='stylesheet',type="text/css", href='/stylesheets/jeasyui/icon.css')

block content
  h1= title
  p Добро пожаловать в #{title}

  table(id="dg", title="Страницы", class="easyui-datagrid", style="width:700px;height:250px", url="/pages/list", toolbar="#toolbar", pagination="true", rownumbers="true", fitColumns="true", singleSelect="true") 
    thead
      tr
        th(field="_id", width="50") Item ID
        th(field="title", width="50") Заголовок
        th(field="content_small", width="50") Краткое описание
  #toolbar
    a(href="javascript:void(0)", class="easyui-linkbutton", iconCls="icon-add", plain="true", onclick="newUser()") Новая страница
    a(href="javascript:void(0)", class="easyui-linkbutton", iconCls="icon-edit", plain="true", onclick="editUser()") Редактировать страницу
    a(href="javascript:void(0)", class="easyui-linkbutton", iconCls="icon-remove", plain="true", onclick="destroyUser()") Удалить страницу
  
  #dlg(class="easyui-dialog", style="width:500px;height:300px;padding:10px 20px", closed="true", buttons="#dlg-buttons")
    .ftitle
      | Информация страницы
    form(id="fm", method="post", novalidate)
      .fitem
        label Заголовок
        input(name="title", class="easyui-textbox", required="true")
      .fitem
        label Изображение
        input(name="image", class="easyui-textbox", required="true")
      .fitem
        label Краткое описание
        br
        input(name="content_small",data-options="multiline:true", style="height:60px", class="easyui-textbox", required="true")
      .fitem
        label Основной текст
        br
        input(name="content", class="easyui-textbox",data-options="multiline:true", style="height:60px", required="true")
    #dlg-buttons
      a(href="javascript:void(0)", class="easyui-linkbutton", iconCls="icon-ok", onclick="saveUser()", style="width:90px") Сохранить
      a(href="javascript:void(0)", class="easyui-linkbutton", iconCls="icon-cancel", onclick="javascript:$('#dlg').dialog('close')",style="width:90px") Отмена

  script(src='http://ajax.googleapis.com/ajax/libs/jquery/2.0.3/jquery.min.js')
  script(src='/javascripts/jquery.easyui.min.js')
  script(src='/javascripts/pagesFrontEnd.js')
  